GIT-LFS-LS-FILES(1)

NAME
git-lfs-ls-files - Show information about Git LFS files in the index and working tree

SYNOPSIS
git lfs ls-files [ref]

DESCRIPTION
Display paths of Git LFS files that are found in the tree at the given reference. If no reference is given, scan the currently checked-out branch. An asterisk (*) after the OID indicates a LFS pointer, a minus (-) a full object.

OPTIONS

-l --long
    Show the entire 64 character OID, instead of just first 10.

-s --size
    Show the size of the LFS object between parenthesis at the end of a line.

-d --debug
    Show as much information as possible about a LFS file. This is intended for manual inspection; the exact format may change at any time.

-a --all
    Inspects the full history of the repository, not the current HEAD (or other provided reference).

--deleted
    Shows the full history of the given reference, including objects that have been deleted.

-I paths --include=paths
    Include paths matching only these patterns; see [FETCH SETTINGS].

-X paths --exclude=paths
    Exclude paths matching any of these patterns; see [FETCH SETTINGS].

SEE ALSO
git-lfs-status(1), git-lfs-config(5).

Part of the git-lfs(1) suite.